Package com.google.protobuf

# Class DescriptorProtos.FileDescriptorProto

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.DescriptorProtos.FileDescriptorProto

All Implemented Interfaces:
  `DescriptorProtos.FileDescriptorProtoOrBuilder`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  `DescriptorProtos`

public static final class DescriptorProtos.FileDescriptorProto extends GeneratedMessage implements DescriptorProtos.FileDescriptorProtoOrBuilder
Protobuf type `google.protobuf.FileDescriptorProto`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DescriptorProtos.FileDescriptorProto.Builder`
Protobuf type `google.protobuf.FileDescriptorProto`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.ExtendableBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>, GeneratedMessage.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

`AbstractMessage.BuilderParent`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEPENDENCY_FIELD_NUMBER`
`static final int`
`EDITION_FIELD_NUMBER`
`static final int`
`ENUM_TYPE_FIELD_NUMBER`
`static final int`
`EXTENSION_FIELD_NUMBER`
`static final int`
`MESSAGE_TYPE_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`
`static final int`
`OPTIONS_FIELD_NUMBER`
`static final int`
`PACKAGE_FIELD_NUMBER`
`static final int`
`PUBLIC_DEPENDENCY_FIELD_NUMBER`
`static final int`
`SERVICE_FIELD_NUMBER`
`static final int`
`SOURCE_CODE_INFO_FIELD_NUMBER`
`static final int`
`SYNTAX_FIELD_NUMBER`
`static final int`
`WEAK_DEPENDENCY_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static DescriptorProtos.FileDescriptorProto`
`getDefaultInstance()`
`DescriptorProtos.FileDescriptorProto`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`String`
`getDependency(int index)`
`repeated string dependency = 3 [json_name = "dependency"];`
`ByteString`
`getDependencyBytes(int index)`
`repeated string dependency = 3 [json_name = "dependency"];`
`int`
`getDependencyCount()`
`repeated string dependency = 3 [json_name = "dependency"];`
`ProtocolStringList`
`getDependencyList()`
`repeated string dependency = 3 [json_name = "dependency"];`
`static final Descriptors.Descriptor`
`getDescriptor()`
`DescriptorProtos.Edition`
`getEdition()`
`optional .google.protobuf.Edition edition = 14 [json_name = "edition"];`
`DescriptorProtos.EnumDescriptorProto`
`getEnumType(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`int`
`getEnumTypeCount()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`List<DescriptorProtos.EnumDescriptorProto>`
`getEnumTypeList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.EnumDescriptorProtoOrBuilder`
`getEnumTypeOrBuilder(int index)`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>`
`getEnumTypeOrBuilderList()`
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`
`DescriptorProtos.FieldDescriptorProto`
`getExtension(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`int`
`getExtensionCount()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`List<DescriptorProtos.FieldDescriptorProto>`
`getExtensionList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.FieldDescriptorProtoOrBuilder`
`getExtensionOrBuilder(int index)`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>`
`getExtensionOrBuilderList()`
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`
`DescriptorProtos.DescriptorProto`
`getMessageType(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`int`
`getMessageTypeCount()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`List<DescriptorProtos.DescriptorProto>`
`getMessageTypeList()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`DescriptorProtos.DescriptorProtoOrBuilder`
`getMessageTypeOrBuilder(int index)`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`List<? extends DescriptorProtos.DescriptorProtoOrBuilder>`
`getMessageTypeOrBuilderList()`
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.FileOptions`
`getOptions()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`DescriptorProtos.FileOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`String`
`getPackage()`
`optional string package = 2 [json_name = "package"];`
`ByteString`
`getPackageBytes()`
`optional string package = 2 [json_name = "package"];`
`Parser<DescriptorProtos.FileDescriptorProto>`
`getParserForType()`
TODO: Remove this unnecessary intermediate implementation of this method.
`int`
`getPublicDependency(int index)`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`int`
`getPublicDependencyCount()`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`List<Integer>`
`getPublicDependencyList()`
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`DescriptorProtos.ServiceDescriptorProto`
`getService(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`int`
`getServiceCount()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`List<DescriptorProtos.ServiceDescriptorProto>`
`getServiceList()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.ServiceDescriptorProtoOrBuilder`
`getServiceOrBuilder(int index)`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder>`
`getServiceOrBuilderList()`
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`
`DescriptorProtos.SourceCodeInfo`
`getSourceCodeInfo()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`DescriptorProtos.SourceCodeInfoOrBuilder`
`getSourceCodeInfoOrBuilder()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`String`
`getSyntax()`
`optional string syntax = 12 [json_name = "syntax"];`
`ByteString`
`getSyntaxBytes()`
`optional string syntax = 12 [json_name = "syntax"];`
`int`
`getWeakDependency(int index)`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`int`
`getWeakDependencyCount()`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`List<Integer>`
`getWeakDependencyList()`
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`
`boolean`
`hasEdition()`
`optional .google.protobuf.Edition edition = 14 [json_name = "edition"];`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`
`boolean`
`hasPackage()`
`optional string package = 2 [json_name = "package"];`
`boolean`
`hasSourceCodeInfo()`
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`
`boolean`
`hasSyntax()`
`optional string syntax = 12 [json_name = "syntax"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static DescriptorProtos.FileDescriptorProto.Builder`
`newBuilder()`
`static DescriptorProtos.FileDescriptorProto.Builder`
`newBuilder(DescriptorProtos.FileDescriptorProto prototype)`
`DescriptorProtos.FileDescriptorProto.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected DescriptorProtos.FileDescriptorProto.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Create a nested builder.
`static DescriptorProtos.FileDescriptorProto`
`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.FileDescriptorProto`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(byte[] data)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(ByteString data)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(CodedInputStream input)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(InputStream input)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(ByteBuffer data)`
`static DescriptorProtos.FileDescriptorProto`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<DescriptorProtos.FileDescriptorProto>`
`parser()`
`DescriptorProtos.FileDescriptorProto.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### PACKAGE_FIELD_NUMBER

public static final int PACKAGE_FIELD_NUMBER

See Also:
  - Constant Field Values

### DEPENDENCY_FIELD_NUMBER

public static final int DEPENDENCY_FIELD_NUMBER

See Also:
  - Constant Field Values

### PUBLIC_DEPENDENCY_FIELD_NUMBER

public static final int PUBLIC_DEPENDENCY_FIELD_NUMBER

See Also:
  - Constant Field Values

### WEAK_DEPENDENCY_FIELD_NUMBER

public static final int WEAK_DEPENDENCY_FIELD_NUMBER

See Also:
  - Constant Field Values

### MESSAGE_TYPE_FIELD_NUMBER

public static final int MESSAGE_TYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### ENUM_TYPE_FIELD_NUMBER

public static final int ENUM_TYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### SERVICE_FIELD_NUMBER

public static final int SERVICE_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXTENSION_FIELD_NUMBER

public static final int EXTENSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### OPTIONS_FIELD_NUMBER

public static final int OPTIONS_FIELD_NUMBER

See Also:
  - Constant Field Values

### SOURCE_CODE_INFO_FIELD_NUMBER

public static final int SOURCE_CODE_INFO_FIELD_NUMBER

See Also:
  - Constant Field Values

### SYNTAX_FIELD_NUMBER

public static final int SYNTAX_FIELD_NUMBER

See Also:
  - Constant Field Values

### EDITION_FIELD_NUMBER

public static final int EDITION_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### hasName

public boolean hasName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `hasName` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The bytes for name.

### hasPackage

public boolean hasPackage()
`optional string package = 2 [json_name = "package"];`

Specified by:
  `hasPackage` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the package field is set.

### getPackage

public String getPackage()
`optional string package = 2 [json_name = "package"];`

Specified by:
  `getPackage` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The package.

### getPackageBytes

public ByteString getPackageBytes()
`optional string package = 2 [json_name = "package"];`

Specified by:
  `getPackageBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The bytes for package.

### getDependencyList

public ProtocolStringList getDependencyList()
`repeated string dependency = 3 [json_name = "dependency"];`

Specified by:
  `getDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  A list containing the dependency.

### getDependencyCount

public int getDependencyCount()
`repeated string dependency = 3 [json_name = "dependency"];`

Specified by:
  `getDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The count of dependency.

### getDependency

public String getDependency(int index)
`repeated string dependency = 3 [json_name = "dependency"];`

Specified by:
  `getDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The dependency at the given index.

### getDependencyBytes

public ByteString getDependencyBytes(int index)
`repeated string dependency = 3 [json_name = "dependency"];`

Specified by:
  `getDependencyBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the dependency at the given index.

### getPublicDependencyList

public List<Integer> getPublicDependencyList()
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Specified by:
  `getPublicDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  A list containing the publicDependency.

### getPublicDependencyCount

public int getPublicDependencyCount()
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Specified by:
  `getPublicDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The count of publicDependency.

### getPublicDependency

public int getPublicDependency(int index)
`repeated int32 public_dependency = 10 [json_name = "publicDependency"];`

Specified by:
  `getPublicDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The publicDependency at the given index.

### getWeakDependencyList

public List<Integer> getWeakDependencyList()
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Specified by:
  `getWeakDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  A list containing the weakDependency.

### getWeakDependencyCount

public int getWeakDependencyCount()
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Specified by:
  `getWeakDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The count of weakDependency.

### getWeakDependency

public int getWeakDependency(int index)
`repeated int32 weak_dependency = 11 [json_name = "weakDependency"];`

Specified by:
  `getWeakDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The weakDependency at the given index.

### getMessageTypeList

public List<DescriptorProtos.DescriptorProto> getMessageTypeList()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageTypeList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getMessageTypeOrBuilderList

public List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getMessageTypeOrBuilderList()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageTypeOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getMessageTypeCount

public int getMessageTypeCount()
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageTypeCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getMessageType

public DescriptorProtos.DescriptorProto getMessageType(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageType` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getMessageTypeOrBuilder

public DescriptorProtos.DescriptorProtoOrBuilder getMessageTypeOrBuilder(int index)
`repeated .google.protobuf.DescriptorProto message_type = 4 [json_name = "messageType"];`

Specified by:
  `getMessageTypeOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getEnumTypeList

public List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumTypeList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getEnumTypeOrBuilderList

public List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumTypeOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getEnumTypeCount

public int getEnumTypeCount()
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumTypeCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getEnumType

public DescriptorProtos.EnumDescriptorProto getEnumType(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumType` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getEnumTypeOrBuilder

public DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)
`repeated .google.protobuf.EnumDescriptorProto enum_type = 5 [json_name = "enumType"];`

Specified by:
  `getEnumTypeOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getServiceList

public List<DescriptorProtos.ServiceDescriptorProto> getServiceList()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getServiceList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getServiceOrBuilderList

public List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder> getServiceOrBuilderList()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getServiceOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getServiceCount

public int getServiceCount()
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getServiceCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getService

public DescriptorProtos.ServiceDescriptorProto getService(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getService` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getServiceOrBuilder

public DescriptorProtos.ServiceDescriptorProtoOrBuilder getServiceOrBuilder(int index)
`repeated .google.protobuf.ServiceDescriptorProto service = 6 [json_name = "service"];`

Specified by:
  `getServiceOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getExtensionList

public List<DescriptorProtos.FieldDescriptorProto> getExtensionList()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtensionList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getExtensionOrBuilderList

public List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtensionOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getExtensionCount

public int getExtensionCount()
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtensionCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getExtension

public DescriptorProtos.FieldDescriptorProto getExtension(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtension` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### getExtensionOrBuilder

public DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)
`repeated .google.protobuf.FieldDescriptorProto extension = 7 [json_name = "extension"];`

Specified by:
  `getExtensionOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### hasOptions

public boolean hasOptions()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

Specified by:
  `hasOptions` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the options field is set.

### getOptions

public DescriptorProtos.FileOptions getOptions()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

Specified by:
  `getOptions` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The options.

### getOptionsOrBuilder

public DescriptorProtos.FileOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.FileOptions options = 8 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### hasSourceCodeInfo

public boolean hasSourceCodeInfo()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

Specified by:
  `hasSourceCodeInfo` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the sourceCodeInfo field is set.

### getSourceCodeInfo

public DescriptorProtos.SourceCodeInfo getSourceCodeInfo()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

Specified by:
  `getSourceCodeInfo` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The sourceCodeInfo.

### getSourceCodeInfoOrBuilder

public DescriptorProtos.SourceCodeInfoOrBuilder getSourceCodeInfoOrBuilder()
`optional .google.protobuf.SourceCodeInfo source_code_info = 9 [json_name = "sourceCodeInfo"];`

Specified by:
  `getSourceCodeInfoOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

### hasSyntax

public boolean hasSyntax()
`optional string syntax = 12 [json_name = "syntax"];`

Specified by:
  `hasSyntax` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the syntax field is set.

### getSyntax

public String getSyntax()
`optional string syntax = 12 [json_name = "syntax"];`

Specified by:
  `getSyntax` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The syntax.

### getSyntaxBytes

public ByteString getSyntaxBytes()
`optional string syntax = 12 [json_name = "syntax"];`

Specified by:
  `getSyntaxBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The bytes for syntax.

### hasEdition

public boolean hasEdition()
`optional .google.protobuf.Edition edition = 14 [json_name = "edition"];`

Specified by:
  `hasEdition` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  Whether the edition field is set.

### getEdition

public DescriptorProtos.Edition getEdition()
`optional .google.protobuf.Edition edition = 14 [json_name = "edition"];`

Specified by:
  `getEdition` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`
Returns:
  The edition.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessage`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessage`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.FileDescriptorProto parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.FileDescriptorProto parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.FileDescriptorProto parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DescriptorProtos.FileDescriptorProto.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static DescriptorProtos.FileDescriptorProto.Builder newBuilder()

### newBuilder

public static DescriptorProtos.FileDescriptorProto.Builder newBuilder(DescriptorProtos.FileDescriptorProto prototype)

### toBuilder

public DescriptorProtos.FileDescriptorProto.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected DescriptorProtos.FileDescriptorProto.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`

### getDefaultInstance

public static DescriptorProtos.FileDescriptorProto getDefaultInstance()

### parser

public static Parser<DescriptorProtos.FileDescriptorProto> parser()

### getParserForType

public Parser<DescriptorProtos.FileDescriptorProto> getParserForType()
Description copied from class: `GeneratedMessage`
TODO: Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

### getDefaultInstanceForType

public DescriptorProtos.FileDescriptorProto getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`